commit:     acea67ce4b822bef7a77d19193af0df53b13d45e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 31 06:51:39 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jan 31 06:51:39 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=acea67ce

dev-python/jupyterlab: Bump to 4.0.12

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/jupyterlab/Manifest                 |  1 +
 dev-python/jupyterlab/jupyterlab-4.0.12.ebuild | 77 ++++++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/dev-python/jupyterlab/Manifest b/dev-python/jupyterlab/Manifest
index d231aa9f056d..ff5b4b2985f0 100644
--- a/dev-python/jupyterlab/Manifest
+++ b/dev-python/jupyterlab/Manifest
@@ -1,2 +1,3 @@
 DIST jupyterlab-4.0.10.tar.gz 18347775 BLAKE2B 
c217b18a5260da8a9ff7df833b7d2a4233255e5a0bbef37eb638bf0fcd99646f5233b70b17b0eb8a27c4fdc042c9dd55c94ffc4d593f890780c6e3f48cdaafd2
 SHA512 
e5203a17dcf682927cd480363d5952765e8c02c243f2a8fcbef785ffe4b58ea669a196c9040f516a3b4cecd323d54d005a91ce6ce5dfffb32d4e610c14a6f1e5
 DIST jupyterlab-4.0.11.tar.gz 18348142 BLAKE2B 
6a2676504a6475d02965ef7b6e393a52c19b3c6af8e58938a189f6bf22693ec754be6c165029f7b9f68b1b80a9f8c20fb67600cb4e9c526da5ae386b3bf728d3
 SHA512 
b02d18d0e0ecffc9a5d847efe4ce7c7258c741fd6ae0842f25c2c446b16af7cb11ac422dff7807a1a19f4536b514914e098c4fd04a58ceadb8296ce9aca3e2f3
+DIST jupyterlab-4.0.12.tar.gz 18352336 BLAKE2B 
afa406372cabd740dc09b354e626d4b87c3143e258294d48f82a816002f43e3d22e43bb0cae9eb34f1754d6ed947923c7fb60fbdaec9c82db162422c6057ec7c
 SHA512 
2a84d2d2e6c64e8fa469b7c5b144b364743d2def1c278aff13e5a9380aca0075b49b31370fed368df951208014a0737380966ab6171a13ff07246ad2b4eca996

diff --git a/dev-python/jupyterlab/jupyterlab-4.0.12.ebuild 
b/dev-python/jupyterlab/jupyterlab-4.0.12.ebuild
new file mode 100644
index 000000000000..2eb5e053e66d
--- /dev/null
+++ b/dev-python/jupyterlab/jupyterlab-4.0.12.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi xdg
+
+DESCRIPTION="JupyterLab computational environment"
+HOMEPAGE="
+       https://jupyter.org/
+       https://github.com/jupyterlab/jupyterlab/
+       https://pypi.org/project/jupyterlab/
+"
+
+LICENSE="BSD MIT GPL-3 Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+       dev-python/async-lru[${PYTHON_USEDEP}]
+       dev-python/ipykernel[${PYTHON_USEDEP}]
+       >=dev-python/jinja-3.0.3[${PYTHON_USEDEP}]
+       dev-python/jupyter-core[${PYTHON_USEDEP}]
+       >=dev-python/jupyter-lsp-2.0.0[${PYTHON_USEDEP}]
+       >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+       <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+       >=dev-python/jupyterlab-server-2.19[${PYTHON_USEDEP}]
+       <dev-python/jupyterlab-server-3[${PYTHON_USEDEP}]
+       >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+       dev-python/tomli[${PYTHON_USEDEP}]
+       >=dev-python/tornado-6.2[${PYTHON_USEDEP}]
+       dev-python/traitlets[${PYTHON_USEDEP}]
+       net-libs/nodejs
+"
+
+BDEPEND="
+       dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+               >=dev-python/pytest-jupyter-0.5.3[${PYTHON_USEDEP}]
+               dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+               dev-python/pytest-timeout[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/requests-cache[${PYTHON_USEDEP}]
+               dev-python/virtualenv[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_DESELECT=(
+       # These tests call npm and want internet
+       
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_uninstall_core_extension
+       
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned_folder
+       
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned
+       
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom_minimal_core_config
+       jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom
+       jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_check
+       jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build
+       jupyterlab/tests/test_build_api.py::TestBuildAPI::test_clear
+       jupyterlab/tests/test_build_api.py::TestBuildAPI::test_build
+)
+
+EPYTEST_IGNORE=(
+       jupyterlab/tests/test_announcements.py
+)
+
+distutils_enable_tests pytest
+# TODO: package sphinx_copybutton
+#distutils_enable_sphinx docs/source dev-python/sphinx-rtd-theme 
dev-python/myst-parser
+
+python_install_all() {
+       distutils-r1_python_install_all
+       mv "${ED}/usr/etc" "${ED}/etc" || die
+}

Reply via email to